WAPIsv2.0.2Transactions
Transaction History
Retrieve paginated transaction history for the authenticated user.
AuthorizationBearer <token>
OAuth2 access token obtained from POST /auth/tokens.
In: header
Query Parameters
environmentstring
See Get Metadata for acceptable values.
Value in
"live" | "sandbox"page_size?integer
Default
15Range
1 <= value <= 100page?integer
Range
1 <= valueResponse Body
curl -X GET "https://tt.wipayfinancial.com/wapi/transactions?environment=live&page_size=15&page=1"{
"message": "string",
"data": [
{
"card": "string",
"currency": "string",
"currency_credited": "string",
"customer_address": "string",
"customer_email": "string",
"customer_name": "string",
"customer_phone": "string",
"data": "string",
"date": "2019-08-24T14:15:22Z",
"fee_structure": "string",
"hash": "string",
"message": "string",
"order_id": "string",
"origin": "string",
"receiver": "string",
"status": "success",
"status_desc": "string",
"total": "string",
"total_credited": "string",
"transaction_id": "string"
}
],
"links": {
"first": "http://example.com",
"last": "http://example.com",
"prev": "http://example.com",
"next": "http://example.com"
},
"meta": {
"current_page": 0,
"from": 0,
"last_page": 0,
"path": "http://example.com",
"per_page": 0,
"to": 0,
"total": 0
}
}{
"message": "string"
}